//
// file :         cyclethread.h
//
// description :  thread class
//
// project :      TANGO Device Server
//
// $Author: giulio 
//
//
// copyleft :   Sincrotrone Trieste S.C.p.A.
//              Strada Statale 14 - km 163,5 in AREA Science Park
//              34012 Basovizza, Trieste ITALY
// 

#ifndef A2605THREAD_H
#define A2605THREAD_H

#include <omnithread.h>
#include <tango.h>
#include <A2605.h>

namespace A2605_ns
{

class cyclethread : public omni_thread
{
	
	private:
		A2605_ns::A2605 *myacq;

	public:

		/* cyclethread::cyclethread(): initialize init loop */
		cyclethread(A2605_ns::A2605 *s) {myacq = s;};
		/* cyclethread::~cyclethread(): object destructor */
		~cyclethread() {};
		
	protected:
		/* cyclethread::run():	start init loop */
		void run(void *);
		
};	/* end class cyclethread() */

}

#endif

/* EOF */
