//
// file :         offthread.h
//
// description :  thread class
//
// project :      TANGO Device Server
//
// $Author: giulio 
//
//
// copyleft :   Sincrotrone Trieste S.C.p.A.
//              Strada Statale 14 - km 163,5 in AREA Science Park
//              34012 Basovizza, Trieste ITALY
// 

#ifndef A2605OFFTHREAD_H
#define A2605OFFTHREAD_H

#include <omnithread.h>
#include <tango.h>
#include <A2605.h>

namespace A2605_ns
{

class offthread : public omni_thread
{
	
	private:
		A2605_ns::A2605 *myacq;

	public:

		/* offthread::offthread(): initialize init loop */
		offthread(A2605_ns::A2605 *s) {myacq = s;};
		/* offthread::~offthread(): object destructor */
		~offthread() {};
		
	protected:
		/* offthread::run():	start init loop */
		void run(void *);
		
};	/* end class offthread() */

}

#endif

/* EOF */
